Mailinglist Archive: opensuse (3378 mails)

< Previous Next >
Re: [SLE] 7.2 -> 8 update problem
  • From: John Scott <fyrbrds@xxxxxxxxxxxx>
  • Date: Mon, 22 Apr 2002 17:35:52 +0200
  • Message-id: <3CC42DD8.305@xxxxxxxxxxxx>


quantum@xxxxxxxxxxx wrote:

.
Most everyone has learned to *never* upgrade, and to do clean installs about every other version.



But there is no reason to not at least *try* and save yourself some work. I've only had 1 upgrade fail. In that case the fist upgrade attempt failed so I did a clean install, then restored my config files. Done. If it works, the extra 15 minutes spent starting the upgrade is a worthwhile investment in time.

In the coming round of upgrades I have one pc designated for a clean install, the others will be upgraded. I make it a habit to at least try it unless there is an overriding reason not to. The vast majority of times it works fine. The usual case where it fails is when you have compiled software and installed it without building rpm's, in which case yast has no idea what is installed on your system anyway, therefore either doesn't know what to upgrade or guesses wrong. The bottom line is: If you are going to upgrade anyway, you've got nothing to lose but time.

Just my .02

John Scott




Trying to update a 7.2 box to 8, and I am failing at first base.
<snip>>
So is this happenning to everyone, or is everyone doing clean installs?

Phil





< Previous Next >